Skip to navigation

List Local Exempt Jurisdictions

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Returns the list of jurisdictions that are valid for a given combination of exposure zone and exemption tax code. The returned jurisdictions can be used to add valid jurisdictions to a certificate.

Both exposureZone and taxCode are mandatory query parameters.

Before you can use any exemption certificates endpoints, you must set up your company for exemption certificate data storage. Companies that do not have this storage system set up will see CertCaptureNotConfiguredError when they call exemption certificate related APIs. To check if this is set up for a company, call GetCertificateSetup. To request setup of exemption certificate storage for this company, call RequestCertificateSetup.

Security Policies

  • This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPTester, SSTAdmin, TechnicalSupportAdmin, TechnicalSupportUser.
  • This API depends on the following active services:Required (all): AvaTaxPro, ECMEssentials, ECMPro, ECMPremium, VEMPro, VEMPremium, ECMProComms, ECMPremiumComms.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

companyIdintegerRequired
The ID number of the company

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

exposureZonestringRequired

Required. The exposure zone name used to filter valid jurisdictions (e.g., “California”).

taxCodestringRequired

Required. The exemption tax code used to filter valid jurisdictions (e.g., “RESALE”).

$filterstringOptional

A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST.
Not filterable: region, country, customerUsageType

$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error